<template>
  <div class="hello">
    
  </div>
</template>

<script>
import socketIO from 'socket.io-client'

export default {
  name: 'HelloWorld',
  props: {
    msg: String
  },
  beforeMount() {
    this.teste()
  },
  methods: {
    teste(){
      const socket = socketIO('https://zrp-challenge-socket.herokuapp.com:443')      
      socket.on('occurrence', (data) => {
          // eslint-disable-next-line
          console.log(data)
      })
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
